Package org.apache.qpid.proton.message

# Class Message.Factory

java.lang.Object
org.apache.qpid.proton.message.Message.Factory

Enclosing interface:
  `Message`

public static final class Message.Factory extends Object

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`static Message`
`create()`
`static Message`
`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public static Message create()

### create

public static Message create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)